Bug Hunting Session
Bug 79969 - FILESAVE: DOCX embedded with excel worksheet object is not preserved after RT
Summary: FILESAVE: DOCX embedded with excel worksheet object is not preserved after RT
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Yogesh Bharate
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-13 05:55 UTC by Yogesh Bharate
Modified: 2014-07-16 13:46 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
DOCX embedded with excel worksheet (25.54 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-06-13 05:55 UTC, Yogesh Bharate
Details
DOCX embedded with excel binary worksheet (25.02 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-06-13 05:56 UTC, Yogesh Bharate
Details
Screenshot of doc RT which embedd excel work sheet (63.29 KB, image/jpeg)
2014-06-13 05:59 UTC, Yogesh Bharate
Details
Screenshot of doc RT which embedd excel binary work sheet (57.31 KB, image/jpeg)
2014-06-13 05:59 UTC, Yogesh Bharate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yogesh Bharate 2014-06-13 05:55:32 UTC
Created attachment 100956 [details]
DOCX embedded with excel worksheet

Problem description: 

Steps to reproduce:
1. Open the document in LibreOffice.
2. Save as .docx
3. Open in MS Office 2010.

Current behavior:
Excel worksheet embedded in DOCX is not preserved after RT.

Expected behavior:
Excel worksheet embedded in DOCX is preserved after RT.
              
Operating System: All
Version: 4.4.0.0.alpha0+ Master
Comment 1 Yogesh Bharate 2014-06-13 05:56:51 UTC
Created attachment 100957 [details]
DOCX embedded with excel binary worksheet
Comment 2 Yogesh Bharate 2014-06-13 05:59:09 UTC
Created attachment 100958 [details]
Screenshot of doc RT which embedd excel work sheet
Comment 3 Yogesh Bharate 2014-06-13 05:59:44 UTC
Created attachment 100959 [details]
Screenshot of doc RT which embedd excel binary work sheet
Comment 4 Yogesh Bharate 2014-06-13 06:03:22 UTC
- Similar issue is for DOCX embedded with excel binary worksheet.
- Attached screenshot( RT doc open in MSO 2010 )  & files for both scenarios.
Comment 5 Yogesh Bharate 2014-06-20 08:51:38 UTC
Yogesh Bharate committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9f8785074512d6442fd97d67860fd625ac4d6bb1

fdo#79968: & fdo#79969: Fix for embedded powerpoint & excel sheet in docx.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.

Note :
1. This fix includes the solution for both issues created for embedded powerpoint i.e.fdo#79968 & binary excelsheet i.e fdo#79969.
2. IZBot is only send notification  to first one i.e. fdo#79968 not to fdo#79969.